import ResKeeper from "./ResKeeper";

const { ccclass, property } = cc._decorator;

@ccclass
export default class Main extends ResKeeper {

    private _loading = false;

    private onTouchButton() {
        if (!this._loading) {
            this._loading = true;
            this.loadRes("prefab/UIList", cc.Prefab, (error: Error, res: cc.Prefab) => {
                if (!error) {
                    let node = cc.instantiate(res);
                    this.node.addChild(node);
                    this._loading = false;
                }
            });
        }
    }
}
