import ListItem from "./ListItem";

const { ccclass, property } = cc._decorator;

@ccclass
export default class UIList extends cc.Component {

    onLoad() {
        let template = this.node.getChildByName("list_item");
        let scroll = this.node.getChildByName("ScrollView").getComponent(cc.ScrollView);
        for (let i = 0; i < 100; ++i) {
            let node = cc.instantiate(template);
            template.active = true;
            scroll.content.addChild(node);
            node.getComponent(ListItem).init(i);
        }
        template.active = false;
    }

    onTouchClose() {
        this.node.destroy();
    }
}
